html,
body {
    height: 100%;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
}

#app {
    max-width: 800px;
    margin: 0 auto;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

header h1 {
    margin-top: 0.5rem;
}

header img {
    padding: 1rem;
}

header h1,
main p,
main h2,
main h3,
main dl,
main form {
    padding: 0 1rem;
}

main ul {
    padding-right: 1rem;
}

main {
    overflow-y: auto;
    flex-grow: 1;
}

main img {
    max-width: 100%;
}

#tabs {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    background-color: #8a8ae2;
}

.tab {
    padding: 0.5rem;
    color: white;
    font-weight: bold;
}

.tab.active {
    color: black;
}

dt {
    font-weight: bold;
}

dd {
    padding: 5px;
}

p,
dd,
li {
    line-height: 150%;
}

.code {
    font-family: Consolas, monaco, monospace;
    background-color: #ccc;
    padding: 1rem;
    margin-top: 0.5rem;
}

footer img {
    width: 100%;
}

footer hr {
    color: #8a8ae2;
}

.right {
    text-align: right;
}

footer .right {
    font-size: small;
    padding: 0 0.5rem 0.5rem 0;
}

input[type="text"],
input[type="email"] {
    width: 20rem;
    max-width: 90%;
}

textarea {
    width: 40rem;
    max-width: 90%;
    height: 3rem;
}

#support {
    height: 6rem;
}

label[required]::before {
    content: '* ';
    color: red;
}

@media (max-width: 768px) {
    html {
        font-size: 14px;
    }

    p {
        font-size: 1rem;
    }

    footer .right {
        font-size: smaller;
    }

    header img {
        padding: 1rem 1rem 0;
        height: 3rem;
    }

    header h1 {
        margin-bottom: 0.5rem;
    }
}